package storage

const (
	PacketTypeH264 = 1
	PacketTypeLPCM = 2
)

// InterleavedPacket представляет пакет, который может быть либо H264, либо G711.
type InterleavedPacket struct {
	// Type: 1 для H264, 2 для G711.
	Type byte
	Pts  int64

	H264AUs     [][]byte
	LPCMSamples []byte
}

// Segment содержит строковые поля Start и Duration, а также набор interleaved пакетов.
type Segment struct {
	Start    string
	Duration string
	Packets  InterleavedPacket
}
